#!/usr/bin/python3
# -*- coding: utf-8 -*-

   #################################
   #                               #
   #   Equation de la chaleur 1D   #
   #                               #
   #################################

import time
import numpy as np
import matplotlib.pyplot as plt

## INITIALISATION ##
xxx=0

# dimensions
D = 1.  # duree
L = 1.  # longueur du cylindre

# nombre de points de discretisation (temps et espace)
NbD = 10001
NbL = 51

# coefficients de diffusion
alpha = 1
alpha2 = 0.1 

# pas de discretisation
dt, dx = D / (NbD-1), L / (NbL-1)

# variables
n = 0
m = NbL//2  # indice milieu
Beta = xxx
Beta2 = xxx   # selon le coeff de diffusion de la 2e barre

# grille espace
X = np.linspace(0.,L,NbL)  

# conditions de Dirichlet
T = xxx   # temperature de la barre à l'instant i*dt
T[0:m]= xxx
T[0] = xxx
xxx

Temp = np.zeros(NbL)

## PROGRAMME PRINCIPAL ##

plt.figure()
plt.plot(X, T, linewidth=1, label="iter%1.0f" % n)

t = time.time()
while n < NbD :   # NbD nombre d'iterations temporelles
   for i in range(1,m):  
      Temp[i] = Beta * xxx
   for i in range(xxx): 
      Temp[i] = Beta2 * xxx
   xxx 
   xxx
   n += 1
   if n in [1,10,100,1000]:   # valeurs des iterations affichees
      plt.plot(X, T, linewidth=1, label="iter%1.0f" % n)

t = time.time()-t
print("Nb iterations : %1.0f," %n, "temps : %1.4f" %t)

plt.legend()
plt.show()

# fin du fichier EquationChaleur1D-eleve.py
